Bug 1108321 - debuginfo-install can't install anything if debuginfo with version as installed not found
debuginfo-install can't install anything if debuginfo with version as install...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-11 13:14 EDT by Igor Gnatenko
Modified: 2014-07-28 10:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-28 10:50:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2014-06-11 13:14:20 EDT
Version-Release number of selected component (if applicable):
dnf-plugins-core-0.1.0-3.fc21.noarch

How reproducible:
always

Steps to Reproduce:
1. enable koji repo
2. update sqlite from koji
3. try to install debuginfo for sqlite

Actual results:
Error: package sqlite-debuginfo.x86_64 = 3.8.5-2.fc21 does not exist

Expected results:
debuginfo-install will install available debuginfo version

Additional info:
We could discuss this.


From first glance:
  we should install any of available versions

From second glance:
  we should error if we can't install the same version
Comment 1 Igor Gnatenko 2014-06-11 18:24:07 EDT
https://github.com/akozumpl/dnf-plugins-core/pull/32
Comment 2 Igor Gnatenko 2014-06-11 18:24:23 EDT
https://github.com/akozumpl/dnf-plugins-core/pull/32
Comment 3 Ales Kozumplik 2014-06-12 07:18:10 EDT
Hi Igor, I'll take a look at the patch but note that in DNF etc. we're in the habit of not opening bugzillas for subsystems/modules that we ourselves maintain. Either just do a PR with a fix for something or wait for a proper bug report. Thanks for respecting this.

Note You need to log in before you can comment on or make changes to this bug.